Fortinet Forum
The Forums are a place to find answers on a range of Fortinet products from peers and product experts.
Sebastiaan_Koopmans
Contributor II

FortiClient EMS Internal Server error after upgrade 1.2

Hi,

 

We upgraded EMS from 1.05 to 1.2 but after upgrading we get the error below when we go to the console/webgui

 

Anyone an idea what to do?

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at admin@yourcompany.com to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

5 Solutions
Sebastiaan_Koopmans

Hi Steve,

No i dont now an Bug ID yet... it should be possible to upgrade (stated in the release notes) but on the moment its not possible.

 

See latest TAC reaction on our ticket below:

 

Issue that you face is already reported to engineering , once we have a feedback we will get back to you with further information

 

I will keep you updated.

 

Sebastiaan

 

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

View solution in original post

Sebastiaan_Koopmans

After the failed upgrade we reversed back to Original state (VMWare Snapshot).

 

We already had the chance to test the Beta of 1.2 and i can say there are a lot of nice changes/new features :)

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

View solution in original post

Sebastiaan_Koopmans

Hi Steve,

 

I have received some additional information.

 

The problem only occures when you are using advanced XML profiles (we are using those) so if you are using basic profiles you can try the upgrade (Make snapshot first )

 

Keep you updated

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

View solution in original post

Sebastiaan_Koopmans

Latest TAC reply:

 

Dear Customer ,  Good news! . The fix for this ready and should be rolled in the next patch release by end of Next week . If not I will confirm from our QA/Development team and provide an interim build ,as these builds are not usually good for production enviroments. For now the ticket will be moved to WaitGArelease.

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

View solution in original post

Carl_Wallmark
Valued Contributor

Heads up!

 

I upgraded EMS from 1.2.0 to 1.2.1 and it removed the keyword "prompt_username" from every SSLVPN tunnel.

And when it was gone, you could not right click on the tunnel in the lower right corner anymore, (fast way to open tunnel), you received an error saying "username cannot be blank".

 

Workaround is to manually add the keyword to the XML:

<prompt_username>1</prompt_username> 

FCNSA, FCNSP
---
FortiGate 200A/B, 224B, 110C, 100A/D, 80C/CM/Voice, 60B/C/CX/D, 50B, 40C, 30B
FortiAnalyzer 100B, 100C
FortiMail 100,100C
FortiManager VM
FortiAuthenticator VM
FortiToken
FortiAP 220B/221B, 11C

View solution in original post

19 REPLIES 19
kolawale_FTNT

Try to reboot the EMS server.

Check the server error log, usually located at:

c:\Program Files (x86)\Fortinet\FortiClientEMS\Apache24\logs\error.log

Send the file to beta {at} fortinet [dot] com.

Consider creating a Support request.

Sebastiaan_Koopmans

Hi,

 

Reboot already tried but no success

 

CHeckt the server log and we see a lot of wsgi errors:

 

[Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] \r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] Traceback (most recent call last):\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\base.py", line 99, in get_response\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     resolver_match = resolver.resolve(request.path_info)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 337, in resolve\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     for pattern in self.url_patterns:\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 365, in url_patterns\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 360, in urlconf_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._urlconf_module = import_module(self.urlconf_name)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Lib\\importlib\\__init__.py", line 109, in import_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     return _bootstrap._gcd_import(name[level:], package, level)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 2254, in _gcd_import\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 1129, in _exec\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 1471, in exec_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\urls.py", line 256, in <module>\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     ApacheService.startup_check()\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\services\\apache_service.py", line 33, in startup_check\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     cls.upgrade_check()\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\services\\apache_service.py", line 72, in upgrade_check\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     profile_api.upgrade_profiles(vdoms)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\profile_api.py", line 366, in upgrade_profiles\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     profile.update_from_xml(connection=connection, xml=config['config'])\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_profile.py", line 562, in _update_from_xml_dict\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self.system.update_from_xml(connection=connection, xml_dict=profile_dict['system'], append=append, is_compliance=is_compliance, compliance_enabled=compliance_enabled)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_system.py", line 216, in _update_from_xml_dict\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self.log.update_from_xml(connection=connection, xml_dict=xml_dict['log_settings'], append=append, is_compliance=is_compliance, compliance_enabled=compliance_enabled)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_system_log.py", line 342, in _update_from_xml_dict\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self.compressed = bool(int(remote_logging_dict.pop('log_compressed')))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] ValueError: invalid literal for int() with base 10: 'False'\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] \r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] During handling of the above exception, another exception occurred:\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] \r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] Traceback (most recent call last):\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 358, in urlconf_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     return self._urlconf_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] AttributeError: 'RegexURLResolver' object has no attribute '_urlconf_module'\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] \r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] During handling of the above exception, another exception occurred:\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] \r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] Traceback (most recent call last):\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\wsgi.py", line 206, in __call__\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     response = self.get_response(request)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\base.py", line 194, in get_response\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     response = self.handle_uncaught_exception(request, resolver, sys.exc_info())\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\base.py", line 232, in handle_uncaught_exception\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     if resolver.urlconf_module is None:\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 360, in urlconf_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._urlconf_module = import_module(self.urlconf_name)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Lib\\importlib\\__init__.py", line 109, in import_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     return _bootstrap._gcd_import(name[level:], package, level)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 2254, in _gcd_import\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 1129, in _exec\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 1471, in exec_module\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\urls.py", line 256, in <module>\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     ApacheService.startup_check()\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\services\\apache_service.py", line 33, in startup_check\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     cls.upgrade_check()\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\services\\apache_service.py", line 72, in upgrade_check\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     profile_api.upgrade_profiles(vdoms)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\profile_api.py", line 366, in upgrade_profiles\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     profile.update_from_xml(connection=connection, xml=config['config'])\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_profile.py", line 562, in _update_from_xml_dict\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self.system.update_from_xml(connection=connection, xml_dict=profile_dict['system'], append=append, is_compliance=is_compliance, compliance_enabled=compliance_enabled)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_system.py", line 216, in _update_from_xml_dict\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self.log.update_from_xml(connection=connection, xml_dict=xml_dict['log_settings'], append=append, is_compliance=is_compliance, compliance_enabled=compliance_enabled)\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_system_log.py", line 342, in _update_from_xml_dict\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124]     self.compressed = bool(int(remote_logging_dict.pop('log_compressed')))\r [Fri Jun 16 20:55:20.072734 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56124] ValueError: invalid literal for int() with base 10: 'False'\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] mod_wsgi (pid=3144): Exception occurred processing WSGI script 'C:/Program Files (x86)/Fortinet/FortiClientEMS/Python/Scripts/fcm/fcm/wsgi.py'. [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] Traceback (most recent call last):\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 358, in urlconf_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     return self._urlconf_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] AttributeError: 'RegexURLResolver' object has no attribute '_urlconf_module'\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] \r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] During handling of the above exception, another exception occurred:\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] \r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] Traceback (most recent call last):\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\base.py", line 99, in get_response\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     resolver_match = resolver.resolve(request.path_info)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 337, in resolve\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     for pattern in self.url_patterns:\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 365, in url_patterns\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 360, in urlconf_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self._urlconf_module = import_module(self.urlconf_name)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Lib\\importlib\\__init__.py", line 109, in import_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     return _bootstrap._gcd_import(name[level:], package, level)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 2254, in _gcd_import\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 2237, in _find_and_load\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 1129, in _exec\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 1471, in exec_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\urls.py", line 256, in <module>\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     ApacheService.startup_check()\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\services\\apache_service.py", line 33, in startup_check\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     cls.upgrade_check()\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\services\\apache_service.py", line 72, in upgrade_check\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     profile_api.upgrade_profiles(vdoms)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\profile_api.py", line 366, in upgrade_profiles\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     profile.update_from_xml(connection=connection, xml=config['config'])\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_profile.py", line 562, in _update_from_xml_dict\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self.system.update_from_xml(connection=connection, xml_dict=profile_dict['system'], append=append, is_compliance=is_compliance, compliance_enabled=compliance_enabled)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_system.py", line 216, in _update_from_xml_dict\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self.log.update_from_xml(connection=connection, xml_dict=xml_dict['log_settings'], append=append, is_compliance=is_compliance, compliance_enabled=compliance_enabled)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config.py", line 236, in update_from_xml\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self._update_from_xml_dict(connection, self._get_xml_dict(**kwargs), kwargs.get('append', False), kwargs.pop('is_compliance', False), kwargs.pop('compliance_enabled', True))\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\Scripts\\fcm\\fcm\\models\\profiles\\config_system_log.py", line 342, in _update_from_xml_dict\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self.compressed = bool(int(remote_logging_dict.pop('log_compressed')))\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] ValueError: invalid literal for int() with base 10: 'False'\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] \r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] During handling of the above exception, another exception occurred:\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] \r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] Traceback (most recent call last):\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 358, in urlconf_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     return self._urlconf_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] AttributeError: 'RegexURLResolver' object has no attribute '_urlconf_module'\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] \r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] During handling of the above exception, another exception occurred:\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] \r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126] Traceback (most recent call last):\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\wsgi.py", line 206, in __call__\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     response = self.get_response(request)\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\base.py", line 194, in get_response\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     response = self.handle_uncaught_exception(request, resolver, sys.exc_info())\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\handlers\\base.py", line 232, in handle_uncaught_exception\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     if resolver.urlconf_module is None:\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]   File "C:\\Program Files (x86)\\Fortinet\\FortiClientEMS\\Python\\lib\\site-packages\\django\\core\\urlresolvers.py", line 360, in urlconf_module\r [Fri Jun 16 20:55:30.600854 2017] [wsgi:error] [pid 3144:tid 1232] [client ::1:56126]     self._urlconf_module = import_module(self.urlconf_name)\r

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

Sebastiaan_Koopmans

Created this morning ticket.

 

In the meanwhile i was told its an BUG!

So wait with upgrade! Keep you informed.

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

SteveG

Hi Sebastiaan, I'm about to upgrade from 1.0.5 to 1.2 but will hold fire from what you've said. I was actually excited when I saw all the bugfixes in 1.2. Do you know the bug ID you've hit as I can't see any mention of it in the release notes? I'm assuming you've not been able to start EMS since the upgrade?

 

Thanks!

Sebastiaan_Koopmans

Hi Steve,

No i dont now an Bug ID yet... it should be possible to upgrade (stated in the release notes) but on the moment its not possible.

 

See latest TAC reaction on our ticket below:

 

Issue that you face is already reported to engineering , once we have a feedback we will get back to you with further information

 

I will keep you updated.

 

Sebastiaan

 

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

Sebastiaan_Koopmans

After the failed upgrade we reversed back to Original state (VMWare Snapshot).

 

We already had the chance to test the Beta of 1.2 and i can say there are a lot of nice changes/new features :)

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

Sebastiaan_Koopmans

Hi Steve,

 

I have received some additional information.

 

The problem only occures when you are using advanced XML profiles (we are using those) so if you are using basic profiles you can try the upgrade (Make snapshot first )

 

Keep you updated

FortiAnalyzer / 6.4.0

FortiClient / 6.2.6 FortiClient EMS VM / 6.2.6

FortiGate 300D HA 6.2.4 FortiGate 500E HA 6.2.4 FortiGate 30E / 60E / 100E / 6.0.9 FortiMail VM HA / 6.4.0 FortiSandbox VM / 3.2.0

FortiWeb VM / 6.3.2

FortiManager VM / 6.4.0

IUseFGT

If you have moved to 1.2, please go services and shut down FGT SQL and FGT Management server.  Go to C:\Program Files\Microsoft SQL Server\ and copy MSSQL12.FCEMS folder to another place.  Uninstall 1.2 using the installer, not from control panel.  When finished reinstall 1.2 using installer.  After fresh install, go to services again and shut down FGT SQL and FGT management server.  Go back to C:\Program Files\Microsoft SQL Server\ and rename the MSSQL12.FCEMS to MSSQL12.FCEMS_old.  Go to your MSSQL12.FCEMS backup copy and place it here.  C:\Program Files\Microsoft SQL Server\.  Start FGT SQL and FGT management server services.  Log into your 1.2 with original login information.  Hope this helps.  Thanks.

IUseFGT

It will, however, you may get a little database corruption, If did, but my XML was old.  To work around that, just Create new profiles and assign them to groups.  Don't copy full XML from one old profile to another, only copy the specifics.  Example, if you have your numeric application ID, just copy the values from the old profile to the new.